Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema.dict
Class DaffodilDictionary

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.schema.dict.DaffodilDictionary

public class DaffodilDictionary
extends DBDictionary

Dictionary for Daffodil database.

Field Summary

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
`CENTI, DECI, MICRO, MILLI, NANO, SEC`

Constructor Summary
`DaffodilDictionary()`

Method Summary
`java.lang.String` | `getPlatform()` Return the database platform for this dictionary.
`com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer` | `toSelect(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer select, java.lang.String tables, com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer where, com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer order, boolean distinct, boolean forUpdate)` Create a SELECT statement for this database.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
`addSystemSchema, addSystemTable, generateForeignKeys, generateIndexes, generatePrimaryKeys, generateTables, getAddColumnSQL, getAddForeignKeySQL, getAddPrimaryKeySQL, getArray, getAsciiStream, getBigDecimal, getBigInteger, getBinaryStream, getBlob, getBlobObject, getBoolean, getByte, getBytes, getChar, getCharacterStream, getClob, getClobString, getConfiguration, getCreateIndexSQL, getCreateTableSQL, getDate, getDate, getDatePrecision, getDBMetaData, getDeclareColumnSQL, getDouble, getDropColumnSQL, getDropForeignKeySQL, getDropIndexSQL, getDropPrimaryKeySQL, getDropTableSQL, getFloat, getForeignKeyActionName, getForeignKeyConstraintSQL, getInt, getJDBCType, getJDBCType, getLocale, getLong, getObject, getPreferredType, getPrimaryKeyConstraintSQL, getRef, getShort, getSimulateLocking, getStoreCharsAsNumbers, getStoreLargeNumbersAsStrings, getString, getSystemSchemas, getSystemTables, getTime, getTimestamp, getTypeName, getValidColumnName, getValidForeignKeyName, getValidIndexName, getValidPrimaryKeyName, getValidTableName, isSystemIndex, isSystemTable, makeNameValid, replaceMapping, replaceMappingFactory, replaceSchemaFactory, setArray, setAsciiStream, setBigDecimal, setBigInteger, setBinaryStream, setBlob, setBlobObject, setBoolean, setByte, setBytes, setChar, setCharacterStream, setClob, setClobString, setConfiguration, setDate, setDate, setDBMetaData, setDouble, setFloat, setInt, setLocale, setLong, setNull, setObject, setRef, setShort, setSimulateLocking, setStoreCharsAsNumbers, setStoreLargeNumbersAsStrings, setString, setSystemSchemas, setSystemTables, setTime, setTimestamp, supportsDeferredConstraints, supportsForeignKeyDeleteAction, supportsSelectForUpdate, supportsUpdateCountsForBatch, wrapConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DaffodilDictionary

    public DaffodilDictionary()

Method Detail

### getPlatform

    public java.lang.String getPlatform()

  Description copied from class: `DBDictionary`
  Return the database platform for this dictionary.

  Overrides:
    `getPlatform` in class `DBDictionary`

### toSelect

    public com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer toSelect(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer select,
                                                                       java.lang.String tables,
                                                                       com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer where,
                                                                       com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer order,
                                                                       boolean distinct,
                                                                       boolean forUpdate)

  Description copied from class: `DBDictionary`
  Create a SELECT statement for this database.

  Overrides:
    `toSelect` in class `DBDictionary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.